Summary:	TermIt - terminal emulator based on the vte library, extensible via Lua
Summary(hu.UTF-8):	TermIt - vte könyvtáron alapuló terminál emulátor, Lua nyelven keresztül bővíthető
Summary(pl.UTF-8):	TermIt - emulator terminala oparty na bibliotece vte, rozszerzalny przez Lua
Name:		termit
Version:	2.10.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	https://github.com/nonstop/termit/archive/%{version}.tar.gz?/%{name}-%{version}.tar.gz
# Source0-md5:	c1ec8bfcab805cef346424d274767417
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		gdkkeysyms-compat.patch
URL:		http://wiki.github.com/nonstop/termit/
BuildRequires:	cmake >= 2.6.1
BuildRequires:	gettext-devel
BuildRequires:	gtk+3-devel
BuildRequires:	lua52-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	vte2.90-devel
#BuildRequires:	vte-devel >= 0.17.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TermIt - simple terminal emulator based on vte library. Features:
 - multiple tabs
 - switching encodings
 - sessions
 - configurable keybindings
 - embedded Lua
 - xterm-like dynamic window title

Configuration can be changed via $HOME/.config/termit/init.lua file
(example is provided).

%description -l hu.UTF-8
TermIt - egyszerű, a vte könyvtárra épülő terminál emulátor.
Lehetőségek:
 - több tab
 - kódolás változtatása
 - munkamenetek
 - konfigurálható billentyűkombinációk
 - beépített Lua
 - xterm-szerű dinamikus ablakcím

A konfiguráció megváltoztatható a $HOME/.config/termit/init.lua fájl
megváltoztatásával (példafájl van a csomagban).

%description -l pl.UTF-8
TermIt - prosty emulator terminala oparty na bibliotece vte. Zawiera:
 - obsługę wielu zakładek
 - przełączanie kodowań
 - obsługę sesji
 - konfigurowalne przypisania klawiszy
 - możliwość rozszerzania przez Lua
 - możliwość dynamicznej zmiany tytułu w stylu xterma

Konfiguracja może być zmieniana przez plik
$HOME/.config/termit/init.lua (przykład znajduje się w dokumentacji).

%prep
%setup -q
%patch0 -p1
%{__sed} -i "s@vte>=0.17@vte-2.90>=0.20@g" src/CMakeLists.txt
%{__sed} -i "s@GTK_OBJECT@@g" src/{callbacks,termit_preferences}.c

%build
%cmake .
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog TODO doc/README doc/rc.lua.example doc/lua_api.txt
%dir %{_sysconfdir}/xdg/termit
%{_sysconfdir}/xdg/termit/*.lua
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%changelog
* Sat Nov 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/termit.git;a=log;h=master

* Sat Nov 22 2014 Jan Rękorajski <baggins@pld-linux.org> ec8cd20
- updated BRs

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 92dae6c
- up to 2.10.0

* Mon Sep 30 2013 Caleb Maclennan <caleb@pld-linux.org> 2de5d19
- Up to 2.9.6

* Mon Dec 26 2011 Zsolt Udvari <uzsolt@pld-linux.org> d839bb5
- 2.9.3

* Tue Nov 08 2011 Artur Frysiak <artur@frysiak.net> 262bc63
- termit-as-needed.patch and termit-language.patch applied upstream

* Tue Nov 08 2011 Zsolt Udvari <uzsolt@pld-linux.org> cdd6ca2
- 2.9.2
- disable patch0 and patch1

* Mon Jul 18 2011 Zsolt Udvari <uzsolt@pld-linux.org> 234f183
- 2.9.1

* Sun Jul 03 2011 Zsolt Udvari <uzsolt@pld-linux.org> 0da2d78
- 2.9.0
- etc/xdg directory and lua-files

* Tue May 31 2011 Zsolt Udvari <uzsolt@pld-linux.org> 719960f
- rel 1 (works for me)

* Mon May 30 2011 Zsolt Udvari <uzsolt@pld-linux.org> 48ce2f9
- 2.8.1

* Tue May 24 2011 Zsolt Udvari <uzsolt@pld-linux.org> 5e6cff7
- BR gtk+3-devel instead gtk+2-devel

* Tue May 24 2011 Zsolt Udvari <uzsolt@pld-linux.org> 33ef9f7
- gdkkeysyms-compat.patch
- remove GTK_OBJECT
- builds, and it seems, it works, need some test to rel 1

* Tue May 24 2011 Zsolt Udvari <uzsolt@pld-linux.org> 81c0c63
- initial
- include gdkkeysyms-compat.h where needed

* Mon May 23 2011 Zsolt Udvari <uzsolt@pld-linux.org> eace13c
- 2.8.0
- use vte-2.90 instead of vte
- does not build (gtk3-conflict imho)
- rel 0.1

* Mon Mar 07 2011 Zsolt Udvari <uzsolt@pld-linux.org> 5986237
- 2.7.1

* Mon Feb 07 2011 Zsolt Udvari <uzsolt@pld-linux.org> a51c0bc
- rel 1 (works for me well)

* Mon Feb 07 2011 Zsolt Udvari <uzsolt@pld-linux.org> 7aefa16
- change source0 to official

* Fri Jan 28 2011 Kacper Kornet <draenog@pld-linux.org> 4881e5e
- better fix for as-needed issue
- remove duplicated cmake options

* Thu Jan 27 2011 Kacper Kornet <draenog@pld-linux.org> 240e294
- better way to avoid g++ requirement

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> a76aa90
- added cmake hack to avoid suprtfluous g++ requirement

